Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class Info3D

    java.lang.Object
      jet.report.xls.Info3D

    public class Info3D

extends java.lang.Object

Field Summary
`static short` | `AUTOSCALING`
`static short` | `CLUSTER`
`static short` | `PERSPECTIVE`
`static short` | `WALLS`

Constructor Summary
`Info3D()` Constructs a Info3D record.
`Info3D(short anRot, short anElev, short pcHeight, short pcDepth, short pcGap)`

Method Summary
`short` | `getAnElev()` get Elevation angle(-90 to 90 degrees)
`short` | `getAnRot()` get Rotation angle(0 to 360)
`short` | `getPcDepth()` get Depth of points relative to width
`short` | `getPcDist()` get Distance from eye to chart(0 to 100)
`short` | `getPcGap()` get Space between series
`short` | `getPcHeight()` get Height of plot volume relative to width and depth
`boolean` | `isCluster()` get whether 3-D column are clustered or not
`boolean` | `isPerspective()` get whether to use perspective transform or not
`boolean` | `isScaling()` get whether to use auto scaling or not
`boolean` | `isWall()` get whether to use 2D walls and gridlines or not
`void` | `setAnElev(short anElev)` set Elevation angle(-90 to 90 degrees)
`void` | `setAnRot(short anRot)` set Rotation angle(0 to 360)
`void` | `setCluster(boolean b)` set whether 3-D column are clustered or not
`void` | `setPcDepth(short pcDepth)` set Depth of points relative to width
`void` | `setPcDist(short pcDist)` set Distance from eye to chart(0 to 100)
`void` | `setPcGap(short pcGap)` set Space between series
`void` | `setPcHeight(short pcHeight)` set Height of plot volume relative to width and depth
`void` | `setPerspective(boolean b)` set whether to use perspective transform or not
`void` | `setScaling(boolean b)` set whether to use auto scaling or not
`void` | `setWall(boolean b)` set whether to use 2D walls and gridlines or not

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PERSPECTIVE

    public static final short PERSPECTIVE

See Also:
  Constant Field Values

### CLUSTER

    public static final short CLUSTER

See Also:
  Constant Field Values

### AUTOSCALING

    public static final short AUTOSCALING

See Also:
  Constant Field Values

### WALLS

    public static final short WALLS

See Also:
  Constant Field Values

Constructor Detail

### Info3D

    public Info3D()

  Constructs a Info3D record.

### Info3D

    public Info3D(short anRot,
                  short anElev,
                  short pcHeight,
                  short pcDepth,
                  short pcGap)

Method Detail

### getAnRot

    public short getAnRot()

  get Rotation angle(0 to 360)

  Returns:
    Rotation angle(0 to 360)

### setAnRot

    public void setAnRot(short anRot)

  set Rotation angle(0 to 360)

  Parameters:
    `anRot` - - Rotation angle(0 to 360)

### getAnElev

    public short getAnElev()

  get Elevation angle(-90 to 90 degrees)

  Returns:
    Elevation angle(-90 to 90 degrees)

### setAnElev

    public void setAnElev(short anElev)

  set Elevation angle(-90 to 90 degrees)

  Parameters:
    `anElev` - - Elevation angle(-90 to 90 degrees)

### getPcDist

    public short getPcDist()

  get Distance from eye to chart(0 to 100)

  Returns:
    Distance from eye to chart(0 to 100)

### setPcDist

    public void setPcDist(short pcDist)

  set Distance from eye to chart(0 to 100)

  Parameters:
    `pcDist` - - Distance from eye to chart(0 to 100)

### getPcHeight

    public short getPcHeight()

  get Height of plot volume relative to width and depth

  Returns:
    Height of plot volume relative to width and depth

### setPcHeight

    public void setPcHeight(short pcHeight)

  set Height of plot volume relative to width and depth

  Parameters:
    `pcHeight` - - Height of plot volume relative to width and depth

### getPcDepth

    public short getPcDepth()

  get Depth of points relative to width

  Returns:
    Depth of points relative to width

### setPcDepth

    public void setPcDepth(short pcDepth)

  set Depth of points relative to width

  Parameters:
    `pcDepth` - - Depth of points relative to width

### getPcGap

    public short getPcGap()

  get Space between series

  Returns:
    Space between series

### setPcGap

    public void setPcGap(short pcGap)

  set Space between series

  Parameters:
    `pcDepth` - - Space between series

### isPerspective

    public boolean isPerspective()

  get whether to use perspective transform or not

  Returns:
    whether to use perspective transform or not

### setPerspective

    public void setPerspective(boolean b)

  set whether to use perspective transform or not

  Parameters:
    `b` - - whether to use perspective transform or not

### isCluster

    public boolean isCluster()

  get whether 3-D column are clustered or not

  Returns:
    whether 3-D column are clustered or not

### setCluster

    public void setCluster(boolean b)

  set whether 3-D column are clustered or not

  Parameters:
    `b` - - whether 3-D column are clustered or not

### isScaling

    public boolean isScaling()

  get whether to use auto scaling or not

  Returns:
    whether to use auto scaling or not

### setScaling

    public void setScaling(boolean b)

  set whether to use auto scaling or not

  Parameters:
    `b` - - whether to use auto scaling or not

### isWall

    public boolean isWall()

  get whether to use 2D walls and gridlines or not

  Returns:
    whether to use 2D walls and gridlines or not

### setWall

    public void setWall(boolean b)

  set whether to use 2D walls and gridlines or not

  Parameters:
    `b` - - whether to use 2D walls and gridlines or not

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD